Download it now!
Bug 30860 - TABLES, FILESAVE: Table of 40 columns crashes save to docx format
Summary: TABLES, FILESAVE: Table of 40 columns crashes save to docx format
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Luboš Luňák
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-14 00:54 UTC by Paul
Modified: 2012-05-04 07:08 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul 2010-10-14 00:54:50 UTC
Steps to reproduce:
1) create new document in Writer 
2) create a table with 40 columns 
3) save in format docx
4) accept warning ("Keep Current Format") about some loss of features
5) Crash: 
  Runtime Error! 
  
  Program C:\Program Files\LibraOffice 3\program\soffice.bin

  This application has requested the Runtime to terminate in an unusual way.
  Please contact the application's support team for more information.


LibreOffice 3.3.0 
OOO330m9 (Build:1)
libreoffice-build 3.2.99.2
Comment 1 Thorsten Behrens (CIB) 2010-10-14 02:13:38 UTC
Confirmed. Backtrace is:

#6  0x00007ffff6f797d0 in std::__throw_out_of_range(char const*) () from /builds/oobuild/ooo-build-pristine-git/build/install/program/../basis-link/ure-link/lib/libstdc++.so.6

#7  0x00007fffd0a057d3 in DocxAttributeOutput::TableCellProperties(boost::shared_ptr<ww8::WW8TableNodeInfoInner>) () from /builds/oobuild/ooo-build-pristine-git/build/install/program/../basis-link/program/libmswordlx.so

#8  0x00007fffd0a05d7e in DocxAttributeOutput::StartTableCell(boost::shared_ptr<ww8::WW8TableNodeInfoInner>) () from /builds/oobuild/ooo-build-pristine-git/build/install/program/../basis-link/program/libmswordlx.so

#9  0x00007fffd0a05fdf in DocxAttributeOutput::StartParagraph(boost::shared_ptr<ww8::WW8TableNodeInfo>) () from /builds/oobuild/ooo-build-pristine-git/build/install/program/../basis-link/program/libmswordlx.so

#10 0x00007fffd09dc124 in MSWordExportBase::OutputTextNode(SwTxtNode const&) () from /builds/oobuild/ooo-build-pristine-git/build/install/program/../basis-link/program/libmswordlx.so

One for you Cedric?
Comment 2 Jan Holesovsky 2010-10-14 07:26:28 UTC
Lubos: Actually I think this would be a very nice start bug for you ;-)
Comment 3 Luboš Luňák 2010-10-15 09:48:10 UTC
WW8TableNodeInfoInner::getWidthsOfRow() has "nBoxes = 32;", which leads to this. Part of a big commit, log message or issuezilla report unhelpful.
Comment 4 Luboš Luňák 2010-12-20 08:03:55 UTC
Fixed for .docx by merging exceeding columns into the last one. Pushed to master.

I've removed the limit mentioned in comment #3 as it was non-functional for .doc anyway, either way the .doc fails to open in msoffice. It appears that at least obeying the limit needs modifications in many places, so I'm giving up on that one now, until somebody complains.
Comment 5 Roman Eisele 2012-05-04 07:08:17 UTC
This is a Writer issue, therefore changed the 'Component' field accordingly.

Set the 'Version' field according to original description.